#! /bin/bash

set -e

export DEBIAN_FRONTEND="noninteractive"

dpkg --add-architecture i386

# Update APT Caches

apt-get update -y
apt-get install pika-sources -y --no-install-recommends 

# Actions to do before package lists
apt-get install initramfs-tools adwaita-icon-theme amdgpu-drm --yes --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite" --no-install-recommends 
apt-get install desktop-file-utils --yes --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite" --no-install-recommends 
apt-get install kernel-pika  --yes --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite" --no-install-recommends 
apt-get install booster-placeholder --yes --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite" --no-install-recommends 
apt-get install --yes --no-install-recommends --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite" pika-kde-settings

# Upgrade system with new cache

apt-get full-upgrade --yes --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite"

# Install Absolute Live Boot Basics

apt-get install --yes --option Dpkg::Options::="--force-confnew" --option Dpkg::Options::="--force-overwrite" --no-install-recommends \
    live-boot \
    systemd-sysv \
    iwd \
    curl openssh-client \
    xserver-xorg-core \
    xserver-xorg \
    xinit xterm \
    nano
    
# Run chroot steps
/chroot_scripts/1-baseos.sh
/chroot_scripts/2-install-live-lists.sh
/chroot_scripts/3-download-pool.sh
/chroot_scripts/4-uninstall-rem-lists.sh
/chroot_scripts/5-run-hooks.sh
